Subject: Re: bug#12925: 24.1; string-make-unibyte instead of string-as-unibyte

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Jun 2021 17:03:53 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Tue, 01 Jun 2021 09:45:07 -0400
> 
> > Why not make both methods do the same: insert the bytes of the
> > multibyte text into the unibyte buffer?
> 
> AFAIK it's rather unusual to need to insert a text that's multibyte into
> a buffer that's unibyte.

Most possibly, people don't know the text is multibyte.  Or don't
care.

> And in those cases, the right behavior is not always the same
> (sometimes it should covert using something like
> locale-coding-system, sometimes it should preserve the actual
> byte-sequence used internally, sometimes it should signal an error,
> ...).

What I mean is: if we think the current behavior is broken, then what
I suggest is at least less broken (and sometimes might just be TRT).
At the very least what I suggest is reversible, whereas neither the
current behavior nor what you suggest is.